跳轉到主要內容
POST
/
v2
/
transaction
/
{chain}
/
estimate-gas-limit
交易 - 估算 Gas Limit
curl --request POST \
  --url https://api.chainstream.io/v2/transaction/{chain}/estimate-gas-limit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from": "0x742d35Cc6634C0532925a3b8D8C9C4b8a8d4C8b8",
  "to": "0x742d35Cc6634C0532925a3b8D8C9C4b8a8d4C8b8",
  "data": "0xa9059cbb000000000000000000000000742d35cc6634c0532925a3b8d8c9c4b8a8d4c8b80000000000000000000000000000000000000000000000000de0b6b3a7640000",
  "value": "0x0"
}
'
import requests

url = "https://api.chainstream.io/v2/transaction/{chain}/estimate-gas-limit"

payload = {
"from": "0x742d35Cc6634C0532925a3b8D8C9C4b8a8d4C8b8",
"to": "0x742d35Cc6634C0532925a3b8D8C9C4b8a8d4C8b8",
"data": "0xa9059cbb000000000000000000000000742d35cc6634c0532925a3b8d8c9c4b8a8d4c8b80000000000000000000000000000000000000000000000000de0b6b3a7640000",
"value": "0x0"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '0x742d35Cc6634C0532925a3b8D8C9C4b8a8d4C8b8',
to: '0x742d35Cc6634C0532925a3b8D8C9C4b8a8d4C8b8',
data: '0xa9059cbb000000000000000000000000742d35cc6634c0532925a3b8d8c9c4b8a8d4c8b80000000000000000000000000000000000000000000000000de0b6b3a7640000',
value: '0x0'
})
};

fetch('https://api.chainstream.io/v2/transaction/{chain}/estimate-gas-limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "gasLimit": "0x5208",
  "chain": "ethereum"
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱

可用選項:
bsc,
eth

主體

application/json

Gas 估算參數

from
string
必填

From address

範例:

"0x742d35Cc6634C0532925a3b8D8C9C4b8a8d4C8b8"

to
string
必填

To address

範例:

"0x742d35Cc6634C0532925a3b8D8C9C4b8a8d4C8b8"

data
string
必填

Transaction data (hex)

範例:

"0xa9059cbb000000000000000000000000742d35cc6634c0532925a3b8d8c9c4b8a8d4c8b80000000000000000000000000000000000000000000000000de0b6b3a7640000"

value
string

Value to send (in wei, hex string)

範例:

"0x0"

回應

200 - application/json
gasLimit
string
必填

Estimated gas limit (hex string)

範例:

"0x5208"

chain
string
必填

Chain symbol

範例:

"ethereum"